diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 74c37a6..8570175 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4150,6 +4150,11 @@ credits()
 --RJose Alfredo Portes
 --RClaude Quitte
 --RArthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko
+--RAlbert D. Rich         Michael Richardson     Guilherme Reis
+--RRenaud Rioboo          Jean Rivlin            Nicolas Robidoux
+--RSimon Robinson         Raymond Rogers         Michael Rothstein
+--RMartin Rubey
+--RArthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko
 --RMichael Richardson     Renaud Rioboo          Jean Rivlin
 --RNicolas Robidoux       Simon Robinson         Raymond Rogers
 --RMichael Rothstein      Martin Rubey
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 013162a..54f41fa 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -158,9 +158,10 @@ of effort. We would like to acknowledge and thank the following people:
 "Ayal Pinkus            Jose Alfredo Portes"
 "Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
-"Albert D. Rich         Michael Richardson     Renaud Rioboo"
-"Jean Rivlin            Nicolas Robidoux       Simon Robinson"
-"Raymond Rogers         Michael Rothstein      Martin Rubey"
+"Albert D. Rich         Michael Richardson     Guilherme Reis"
+"Renaud Rioboo          Jean Rivlin            Nicolas Robidoux"
+"Simon Robinson         Raymond Rogers         Michael Rothstein"
+"Martin Rubey"
 "Philip Santas          Alfred Scheerhorn      William Schelter"
 "Gerhard Schneider      Martin Schoenert       Marshall Schor"
 "Frithjof Schulze       Fritz Schwarz          Steven Segletes"
diff --git a/readme b/readme
index ed2c343..7433183 100644
--- a/readme
+++ b/readme
@@ -251,9 +251,10 @@ at the axiom command prompt will prettyprint the list.
 "Ayal Pinkus            Jose Alfredo Portes"
 "Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
-"Albert D. Rich         Michael Richardson     Renaud Rioboo"
-"Jean Rivlin            Nicolas Robidoux       Simon Robinson"
-"Raymond Rogers         Michael Rothstein      Martin Rubey"
+"Albert D. Rich         Michael Richardson     Guilherme Reis"
+"Renaud Rioboo          Jean Rivlin            Nicolas Robidoux"
+"Simon Robinson         Raymond Rogers         Michael Rothstein"
+"Martin Rubey"
 "Philip Santas          Alfred Scheerhorn      William Schelter"
 "Gerhard Schneider      Martin Schoenert       Marshall Schor"
 "Frithjof Schulze       Fritz Schwarz          Steven Segletes"
diff --git a/src/axiom-website/litprog.html b/src/axiom-website/litprog.html
index 4280b8e..04a84d4 100644
--- a/src/axiom-website/litprog.html
+++ b/src/axiom-website/litprog.html
@@ -37,6 +37,7 @@
   2.12    Final cleanup and housekeeping. The preamble
  3.0    The tangle source code
  4.0    What have we learned?
+ 5.0    Credits
  </pre>
 </div>
   <div>
@@ -331,7 +332,7 @@ void fixHTMLcode() {
 int main(int argc, char *argv[]) {
   int fd;
   struct stat filestat;
-  if ((argc &lt; 2) || (argc &gt; 3)) { 
+  if ((argc != 2)) { 
     perror("Usage: tangle filename chunkname");
     exit(-1);
   }
@@ -520,7 +521,7 @@ functions.
 int main(int argc, char *argv[]) {
   int fd;
   struct stat filestat;
-  if ((argc < 2) || (argc > 3)) { 
+  if ((argc != 2)) { 
     perror("Usage: tangle filename chunkname");
     exit(-1);
   }
@@ -977,6 +978,11 @@ We can be better programmers.
 </p><p>
 Tim Daly, November 18, 2011
 </p><p>
+<h2>4.0 What have we learned?</h2>
+<pre>
+ Guilherme Reis found that the check for the number of arguments
+ was incorrect. It should have been exactly 2.
+</pre>
   </div>
  </body>
 </html>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 97e2547..50ddd2a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3743,5 +3743,7 @@ books/bookvol9 treeshake compiler<br/>
 src/axiom-website/axiomgraph/maps/parse.json add parse tree<br/>
 <a href="patches/20111218.01.tpd.patch">20111218.01.tpd.patch</a>
 books/bookvol9 localize function names<br/>
+<a href="patches/20111227.01.tpd.patch">20111227.01.tpd.patch</a>
+src/axiom-website/litprog.html fix argument count<br/>
  </body>
 </html>
